Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::action::shuffle_fn Struct Reference

## Synopsis of methods
constexpr action< shuffle_fn > | shuffle {}

## Public Member Functions
template<typename Rng , typename Gen >
auto | operator() (Rng &&rng, Gen &&gen) const -> Rng requires random_access_range< Rng > &&permutable< iterator_t< Rng >> &&uniform_random_bit_generator< std::remove_reference_t< Gen >> &&convertible_to< invoke_result_t< Gen & >, range_difference_t< Rng >>